package jp.gr.java_conf.akabeko.testtabactivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

/**
 * タブ内の画面を表します。
 */
public class ChildDisplayActivity extends Activity {
	/**
	 * 画面の表示名。
	 */
	public static final String DISPLAY_NAME = "DISPLAY_NAME";

	/**
	 * 画面が作成される時に発生します。
	 *
	 * @param savedInstanceState 保存されたインスタンスの状態。
	 */
	@Override
	public void onCreate( Bundle savedInstanceState ) {
		super.onCreate( savedInstanceState );
		this.setContentView( R.layout.display );

		Intent intent = this.getIntent();
		if( intent != null ) {
			( ( TextView )this.findViewById( R.id.display_name ) ).setText( intent.getStringExtra( DISPLAY_NAME ) );
		}
	}
}
